#ifndef CSVMANAGER_H
#define CSVMANAGER_H

#include "base.h"
#include <QObject>
#include <QFile>
#include <QMessageBox>

struct CSVRow{
    QList<QString> collumn;
};
class CSVManager : public QObject
{
    Q_OBJECT
    QMessageBox messageBox;
    QList<CSVRow> rows;
    QList<QString> getListFromRow(QString oneRow);

    void sortCSV();
    int langContains(QString kuerzel, QList<languageType> *ll);
    bool isEmpty(QList<QString> s);
    QList<Category> setAllJobsTo(QList<Category> cs, int newLangId = -1);
    UserDataBase extractFromCSVOneLangMode(int lang_id = 1, int offset=0,bool multilang = false);
    UserDataBase extractFromCSVAltertiveCSVDataType(QList<int> langIds);
public:
    explicit CSVManager(QObject *parent = 0);
signals:
    void convertionWarning(QString);
    void convertionError(QString);
    void gainedNewData(UserDataBase);
public slots:
    bool openCSVFileAt(QString s, int langId=1);
    bool openCSVFileAt(QString s, QList<int> lang);
    bool openAlternativeCSVFileAt(QString s, QList<int> lang);
private slots:
    UserDataBase extractMultiLangMode(QList<int> lang);
    void showErrors(QString s);
};

#endif // CSVMANAGER_H
