create table question(
	question_id integer primary key autoincrement not null,
	category_id integer not null
);

create table question_lang(
	question_id integer not null,
	lang_id integer not null,
	question_text varchar(250) not null,
	primary key(question_id, lang_id)
);

create table question_answer(
	answer_id integer not null,
	question_id integer not null,
	is_True boolean not null,
	primary key(question_id, answer_id)
);

create table answer(
	answer_id integer primary key autoincrement not null
);

create table answer_lang(
	answer_id integer not null,
	lang_id integer not null,
	answer_text varchar(250) not null,
	explanation_text varchar(250),--nur bei richtigen Antworten
	primary key(answer_id, lang_id)
);

create table lang(
	lang_id integer primary key autoincrement not null,
	country_code varchar(50)
);

insert into lang values
( null, 'DE' ),
( null, 'EN' ),
( null, 'EE' );

create table category(
	category_id integer primary key autoincrement not null
);

create table category_lang(
	category_id integer not null,
	lang_id integer not null,
	category_text varchar(250) not null,
	primary key(category_id, lang_id)
);

insert into category_lang values
( 1, 1, 'Internetkriminalität' ),
( 1, 2, 'Internet crime' ),
( 2, 1, 'Identitätsdiebstahl' ),
( 2, 2, 'Internet theft' );

create table quiz_settings(
	question_number integer not null,
	time_per_question integer not null -- 0 = keine Zeitbegrenzung
);

insert into quiz_settings values(
	5,
	0
);

create table quiz_settings_current_category_id(
	current_category_id integer not null
);

insert into quiz_settings_current_category_id values
( 1 ),
( 2 );

create table settings(
	current_country_code varchar(3) not null,
	current_lang_id integer not null
);

insert into settings values(
	'DE'
	1,
);