#ifndef MAINFORM_H
#define MAINFORM_H
#include "base.h"
#include <QMainWindow>
#include <QVariant>
#include <QtWidgets>
#include "popupeditor.h"
#include "editwidget.h"
#include "langeditor.h"
#include "importwidget.h"
#include "multilangimportwidget.h"
#include "alternativeimportwidget.h"
#include <QFileDialog>
class Controller;
class MainForm : public QMainWindow
{
    Q_OBJECT
private:
    UserDataBase* dbSelf;
    EditWidget * categoryEdit;
    EditWidget * questionEdit;
    EditWidget * answerEdit;
    LangEditor * lEdit;
    QFileDialog* existingFile;
    QFileDialog* newFile;
    QFileDialog* csvImporter;
    QFileDialog* examplePath;
    QFileDialog* examplePathMultiL;
    QFileDialog* exportPath;
    QFileDialog* examplePathSQL;

    QComboBox  * stdLangChooser;
    Controller * contr;
    QToolButton* speachButton;
    QToolButton* importBtn;
    QToolButton* extrasBtn;
    QToolButton* exportBtn;
    QToolButton* settingsBtn;
    ImportWidget* importWdgt;
    AltCSVImpWidgt* altImportWdgt;
    MLIW *        mlImportWidget;
    PopUpEditor* popUpEditor;
    QWidget* widgetContainer;
    int last;

public:
    MainForm(Controller* c,QWidget *parent = 0);
    UserDataBase* getDatbaseRef();
    ~MainForm();
signals:
    void saveData();
    void newLangIndexChosen(int);
    void openCSVAt(QString,int);
    void openMLCSVAt(QString,QList<int>);
    void openAltCSVAt(QString,QList<int>);
    void exportDatabaseTo(QString);
private slots:
    void onSavingData();
    void onTextEdited();
    void addAndEditNewElement(CurrentEditType);
    void updateStdLangCBox();
    void selectionChangedStdLangCBox(int ind);
    void onExamplePath(QString q);
    void onSQLExamplePath(QString s);
    void onMultiLangExamplePath(QString q);
public slots:
    void refreshView();
    void onNewDataBase(UserDataBase* dbs);
    void onDatabaseClose();
    void updateText() ;
    void blockView()  ;
    void unblockView();
};

#endif // MAINFORM_H
